Last week Apple started allowing users on older versions of iOS to download the last compatible version of apps when the latest version is incompatible with their version of iOS. I held off posting about this last week as there seemed to be a lot of backlash from developers about having to support this. However, as far as I can see this is great because it allows users to get an old version of an app if they can’t use the latest.

Now I can understand that developers might be concerned about supporting old versions but I think that so long as it’s clear that support is for the latest version only any reasonable user would be ok with that.

So, is it a good idea or not? I’d say yes. How about you?

Advertisements

Leave a Reply